.sdlc-container.position-relative
  .sdlc-description
    %a.title-link{ href: "/concurrent-devops" }
      %h2 GitLab is a complete DevOps platform
    %p
      :markdown
        With GitLab, you get a complete CI/CD toolchain out-of-the-box. One interface. One conversation. One permission model. Thousands of features. You'll be amazed at everything GitLab can do today. And we're just getting started.

  .table-container

    %p.table-label.single-application-label GitLab is a complete DevOps platform, delivered as a single application.
    %p.table-label.separate-application-label GitLab could replace

    .sdlc-table
      - Gitlab::Homepage::Stage.all!.select{|stage| stage.marketing}.each do |stage|
        .sdlc-column
          .stage-container
            %a{href: "/stages-devops-lifecycle/#{stage.key}/"}
              = partial "/includes/icons/sdlc-icons/#{stage.key}.svg"
            %a{href: "/stages-devops-lifecycle/#{stage.key}/"}
              %p #{stage.display_name}
          .solutions-container
            - category_keys_active = data.categories.keys.keep_if { |k| data.categories[k].stage == stage.key && data.categories[k].marketing && data.categories[k].maturity && data.categories[k].maturity != "planned"}
            - category_keys_upcoming = data.categories.keys.keep_if { |k| data.categories[k].stage == stage.key && data.categories[k].marketing && data.categories[k].maturity && data.categories[k].maturity == "planned"}
            - if category_keys_active.length >= 1
              .current-categories
                %p.font-bold
                  Since
                  #{stage.established}
                  GitLab added:
                - category_keys_active.each do |key|
                  %p
                    - url = data.categories[key].alt_link ? data.categories[key].alt_link : "/product/#{key.tr('_', '-').downcase}/"
                    %a{ href: "#{url}" } #{data.categories[key].name}
            .future-categories
              %p.font-bold
                On our
                = succeed ':' do
                  %br
                  %a.font-bold{ href: "#{stage.vision}", target: "_blank" } roadmap
              - category_keys_upcoming.each do |key|
                %p
                  - url = data.categories[key].alt_link ? data.categories[key].alt_link : "/product/#{key.tr('_', '-').downcase}/"
                  %a.future-category{ href: "#{url}", target: "_blank" } #{data.categories[key].name}

          .devops-tools-wrapper{ id: "#{stage.key}-devops_tools-container" }
            %p.replace-text.font-bold GitLab could replace
            .devops-tools-container
              - stage.devops_tools.each do |devops_tool|
                %a.devops-tool-logo-container{ href: "/devops-tools/#{devops_tool.key.dup.tr('_', '-')}-vs-gitlab.html" }
                  .devops-tool-tooltip
                    %p.tooltip-text
                      = devops_tool.name
                    .tooltip-carat
                  %img.devops-tool-logo{ src: "#{devops_tool.logo}", alt: "#{devops_tool.name} logo png" }

    %p.text-center.color-gray.font-small.margin-top30

    .btn-group.margin-top20
      %a.btn.cta-btn.orange.see-all-comparisons{ href: '/devops-tools/' } Compare all DevOps tools

    .btn-group.margin-top20
      %a.btn.cta-btn.btn-primary{ href: '/direction/maturity/' } GitLab feature maturity

%script{ src: "/javascripts/rotate-devops_tools.js" }
%script{ src: "/javascripts/libs/tweenmax.min.js" }
